# Function action_url

- action_url(
  viewname: string,
  table: object | Table,
  action_name: string,
  r: object,
  colId: string,
  colIdNm: string,
  confirm: string,
  colIndex: any,
  runAsync: any,
  ): any

  #### Parameters

  - viewname: string
  - table: object | Table
  - action_name: string
  - r: object
  - colId: string
  - colIdNm: string
  - confirm: string
  - colIndex: any
  - runAsync: any

  #### Returns any

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:86